' ------------------------------------------------------------------------------------
' irr::core::dimension2d<s32> wrappers (done)
' ------------------------------------------------------------------------------------
Public

Extern

	Function IrrCore_Dimension2di_new:Int(x:Int=0,y:Int=0)
	Function IrrCore_Dimension2di_newFromSize:Int(pSize:Int)
	Function IrrCore_Dimension2di_del(pDel:Int)
	Function IrrCore_Dimension2di_getWidth:Int(pSize:Int)
	Function IrrCore_Dimension2di_getHeight:Int(pSize:Int)
	Function IrrCore_Dimension2di_setWidth(pSize:Int,width:Int)
	Function IrrCore_Dimension2di_setHeight(pSize:Int,height:Int)
	Function IrrCore_Dimension2di_EqEq:Int(pSize:Int,pOther:Int)
	Function IrrCore_Dimension2di_NotEq:Int(pSize:Int,pOther:Int)
	Function IrrCore_Dimension2di_Eq(pSize:Int,pOther:Int)
	'// NOTE: must delete
	Function IrrCore_Dimension2di_Div:Int(pSize:Int,scale:Int) ' returns dimension2di*
	'// NOTE: must delete
	Function IrrCore_Dimension2di_Mult:Int(pSize:Int,scale:Int) ' returns dimension2di*
	Function IrrCore_Dimension2di_DivEq:Int(dimension2di:Int, scale:Int) ' returns dimension2di*
	Function IrrCore_Dimension2di_MultEq:Int(dimension2di:Int, scale:Int) ' returns dimension2di*
	
	' do not delete
	Function IrrCore_Dimension2di_set:Int(dimension2di:Int,width:Int,height:Int) ' returns dimension2di*
	Function IrrCore_Dimension2di_getArea:Int(dimension2di:Int) 
	Function IrrCore_Dimension2di_getOptimalSize:Int(dimension2di:Int, bRequirePowerOfTwo:Int = True, bRequireSquare:Int = False, bLarger:Int = True) ' returns dimension2di*
	Function IrrCore_Dimension2di_getInterpolated:Int(dimension2di:Int, dimension2di_other:Int, d:Float) ' returns dimension2di*
	' delete
	Function IrrCore_Dimension2di_Plus:Int(dimension2di:Int, dimension2di_other:Int) ' returns dimension2di*
	' do not delete
	Function IrrCore_Dimension2di_PlusEq:Int(dimension2di:Int, dimension2di_other:Int) ' returns dimension2di*

EndExtern

