
Public

Extern 

	' ------------------------------------------------------------------------------------
	'  irr::gui::IGUIElement wrappers
	'  do Not Delete a pointer To this
	' ------------------------------------------------------------------------------------
	Function IrrGUI_IGUIElement_drop:Int(pIUnknown:Int)
	Function IrrGUI_IGUIElement_getDebugName$z(pIUnknown:Int)
	Function IrrGUI_IGUIElement_grab(pIUnknown:Int)
	
	Function IrrGUI_IGUIElement_addChild(pIGUIElement:Int,pIGUIElement_child:Int)
	Function IrrGUI_IGUIElement_bringToFront:Int(pIGUIElement:Int,pIGUIElement_element:Int)
	Function IrrGUI_IGUIElement_draw(pIGUIElement:Int)
	Function IrrGUI_IGUIElement_getAbsolutePosition:Int(pIGUIElement:Int) ' return rect<s32>*
	' dont delete pointer
	Function IrrGUI_IGUIElement_getElementFromId:Int(pIGUIElement:Int,id:Int,bSearchchildren:Int=False) ' returns IGUIElement*
	' dont delete pointer
	Function IrrGUI_IGUIElement_getElementFromPoint:Int(pIGUIElement:Int,pPosition2di_point:Int) ' returns IGUIElement*
	Function IrrGUI_IGUIElement_getID:Int(pIGUIElement:Int)
	' dont delete pointer
	Function IrrGUI_IGUIElement_getParent:Int(pIGUIElement:Int) ' returns IGUIElement* 
	Function IrrGUI_IGUIElement_getRelativePosition:Int(pIGUIElement:Int) ' returns rect<s32>*
	Function IrrGUI_IGUIElement_getText:Byte Ptr(pIGUIElement:Int)
	Function IrrGUI_IGUIElement_isEnabled:Int(pIGUIElement:Int)
	Function IrrGUI_IGUIElement_isVisible:Int(pIGUIElement:Int)
	Function IrrGUI_IGUIElement_move(pIGUIElement:Int,pPosition2di_absoluteMovement:Int)
	Function IrrGUI_IGUIElement_remove(pIGUIElement:Int)
	Function IrrGUI_IGUIElement_removeChild(pIGUIElement:Int,pIGUIElement_child:Int)
	Function IrrGUI_IGUIElement_setEnabled(pIGUIElement:Int,bEnabled:Int)
	Function IrrGUI_IGUIElement_setID(pIGUIElement:Int,id:Int)
	Function IrrGUI_IGUIElement_setRelativePosition(pIGUIElement:Int,pRecti_r:Int)
	Function IrrGUI_IGUIElement_setText(pIGUIElement:Int,text:Byte Ptr)
	Function IrrGUI_IGUIElement_setVisible(pIGUIElement:Int,bVisible:Int)
	Function IrrGUI_IGUIElement_updateAbsolutePosition(pIGUIElement:Int)
	
	Function IrrGUI_IGUIElement_getType:Int(pIGUIElement:Int) ' returns EGUI_ELEMENT_TYPE
	Function IrrGUI_IGUIElement_getChildCount:Int(pIGUIElement:Int)
	Function IrrGUI_IGUIElement_getChild(pIGUIElement:Int,idx:Int) ' IGUIElement*
	Function IrrGUI_IGUIElement_getChildren:Int(pIGUIElement:Int,arrptr:Int Ptr Ptr)
	Function IrrGUI_IGUIElement_setRelativePositionProportional(pIGUIElement:Int,pRectf:Int)
	Function IrrGUI_IGUIElement_setRelativePositionFromPos(pIGUIElement:Int, pPosition2di:Int)
	Function IrrGUI_IGUIElement_setNotClipped(pIGUIElement:Int,bNoClip:Int)
	Function IrrGUI_IGUIElement_isNotClipped:Int(pIGUIElement:Int)
	Function IrrGUI_IGUIElement_setMaxSize(pIGUIElement:Int,pDimension2di:Int)
	Function IrrGUI_IGUIElement_setMinSize(pIGUIElement:Int,pDimension2di:Int)
	Function IrrGUI_IGUIElement_setAlignment(pIGUIElement:Int,EGUI_ALIGNMENT_left:Int,EGUI_ALIGNMENT_right:Int,EGUI_ALIGNMENT_top:Int,EGUI_ALIGNMENT_bottom:Int)
	Function IrrGUI_IGUIElement_OnPostRender(pIGUIElement:Int,timeMs:Int)
	Function IrrGUI_IGUIElement_isSubElement:Int(pIGUIElement:Int)
	Function IrrGUI_IGUIElement_setSubElement(pIGUIElement:Int,bSubElement:Int)
	Function IrrGUI_IGUIElement_setToolTipText(pIGUIElement:Int,text:Byte Ptr)
	Function IrrGUI_IGUIElement_getToolTipText:Byte Ptr(pIGUIElement:Int)
	Function IrrGUI_IGUIElement_getTypeName$z(pIGUIElement:Int)

	' must delete
	Function IrrGUI_IGUIElement_getAbsoluteClippingRect:Int(pIGUIElement:Int) ' returns rect<s32>*
	Function IrrGUI_IGUIElement_isPointInside:Int(pIGUIElement:Int,position2di_point:Int)
	
	Function IrrGUI_IGUIElement_setTabStop(pIGUIElement:Int,bEnable:Int)	
	Function IrrGUI_IGUIElement_isTabStop:Int(pIGUIElement:Int)
	Function IrrGUI_IGUIElement_setTabOrder(pIGUIElement:Int,index:Int)
	Function IrrGUI_IGUIElement_getTabOrder:Int(pIGUIElement:Int)
	Function IrrGUI_IGUIElement_setTabGroup(pIGUIElement:Int,bIsGroup:Int)	
	Function IrrGUI_IGUIElement_isTabGroup:Int(pIGUIElement:Int)	
	' do not delete
	Function IrrGUI_IGUIElement_getTabGroup:Int(pIGUIElement:Int) ' returns IGUIElement*
	Function IrrGUI_IGUIElement_isMyChild:Int(pIGUIElement:Int,pIGUIElement_child:Int) 
	Function IrrGUI_IGUIElement_getNextElement:Int(pIGUIElement:Int,startOrder:Int,bReverse:Int,bGroup:Int,pIGUIElement_first:Int Ptr,pIGUIElement_closest:Int Ptr,bIncludeInvisible:Int = False)

EndExtern 

