
extern "C" 
{

//------------------------------------------------------------------------------------
// irr::io::IFileList wrappers
// be sure to call the del function when done
//------------------------------------------------------------------------------------

void IrrIO_IFileList_del(IFileList* fl)
{
	if (fl)
		fl->drop();
}

u32 IrrIO_IFileList_getFileCount(IFileList* fl)
{
	if (fl)
		return fl->getFileCount();
	else return 0;
}

const c8* IrrIO_IFileList_getFileName(IFileList* fl,u32 idx)
{
	if (fl)
		return fl->getFileName(idx);
	else
		return "";
}

const c8* IrrIO_IFileList_getFullFileName(IFileList* fl,u32 idx)
{
	if (fl)
		return fl->getFullFileName(idx);
	else
		return "";
}

bool IrrIO_IFileList_isDirectory(IFileList* fl,u32 idx)
{
	if (fl)
		return fl->isDirectory(idx);
	else
		return false;
}

bool IrrIO_IFileList_drop(IFileList* unk)
{
	if (unk)
		return unk->drop();
	else return 0;
}

const c8* IrrIO_IFileList_getDebugName(IFileList* unk)
{
	if (unk)
		return unk->getDebugName();
	else return "";
}

void IrrIO_IFileList_grab(IFileList* unk)
{
	if (unk)
		unk->grab();
}

}

