' ------------------------------------------------------------------------------------
' irr::io::IFileSystem wrappers
' use irr:IrrlichtDevice.getFileSystem() To get a pointer For this.  do Not Delete
' Or drop.
' ------------------------------------------------------------------------------------
Public

Extern
	Function IrrIO_IFileSystem_createEmptyAttributes:Int(pIFileSystem:Int,pIVideoDriver:Int=Null) ' returns IAttributes*
	Function IrrIO_IFileSystem_addPakFileArchive:Int(pIFileSystem:Int,filename$z,bIgnoreCase:Int=True,bIgnorePaths:Int=True)
	Function IrrIO_IFileSystem_addZipFileArchive:Int(pIFileSystem:Int,filename$z,bIgnoreCase:Int=True,bIgnorePaths:Int=True)
	Function IrrIO_IFileSystem_changeWorkingDirectoryTo:Int(pIFileSystem:Int,newDirectory$z)
	' returned pointer must be dropped
	Function IrrIO_IFileSystem_createAndOpenFile:Int(pIFileSystem:Int,filename$z)
	' returned pointer must be dropped
	Function IrrIO_IFileSystem_createAndWriteFile:Int(pIFileSystem:Int,filename$z,bAppend:Int=False)
	' returned pointer must be dropped
	Function IrrIO_IFileSystem_createFileList:Int(pIFileSystem:Int)
	' returned pointer must be dropped
	Function IrrIO_IFileSystem_createXMLReaderFromStream:Int(pIFileSystem:Int,pIReadFile:Int)
	' returned pointer must be dropped
	Function IrrIO_IFileSystem_createXMLReader:Int(pIFileSystem:Int,filename$z)
	' returned pointer must be dropped
	Function IrrIO_IFileSystem_createXMLReaderUTF8FromStream:Int(pIFileSystem:Int,pIReadFile:Int)
	' returned pointer must be dropped
	Function IrrIO_IFileSystem_createXMLReaderUTF8:Int(pIFileSystem:Int,filename$z)
	' returned pointer must be dropped
	Function IrrIO_IFileSystem_createXMLWriterFromStream:Int(pIFileSystem:Int,pIWriteFile:Int)
	' returned pointer must be dropped
	Function IrrIO_IFileSystem_createXMLWriter:Int(pIFileSystem:Int,filename$z)
	Function IrrIO_IFileSystem_existFile:Int(pIFileSystem:Int,filename$z)
	Function IrrIO_IFileSystem_getWorkingDirectory$z(pIFileSystem:Int)

	Function IrrIO_IFileSystem_drop:Int(pIFileSystem:Int)
	Function IrrIO_IFileSystem_getDebugName$z(pIFileSystem:Int)
	Function IrrIO_IFileSystem_grab(pIFileSystem:Int)

	Function IrrIO_IFileSystem_addFolderFileArchive:Int(pIFileSystem:Int,filename$z,bIgnoreCase:Int = true,bIgnorePaths:Int = true)
	Function IrrIO_IFileSystem_getAbsolutePath$z(pIFileSystem:Int,filename$z)
	Function IrrIO_IFileSystem_getFileDir$z(pIFileSystem:Int,filename$z)
	
	' returned pointer must be dropped
	Function IrrIO_IFileSystem_createMemoryReadFile(pIFileSystem:Int,memory:Byte Ptr,length:Int,fileName$z,bDeleteMemoryWhenDropped:Int=False) ' returns IReadFile*
	Function IrrIO_IFileSystem_getFileBasename$z(pIFileSystem:Int, filename$z, bKeepExtension:Int = True)

EndExtern

