' ------------------------------------------------------------------------------------
'  irr::scene::IAnimatedMeshMS3D wrappers (parent is IAnimatedMesh)
' ------------------------------------------------------------------------------------
Public

Type IAnimatedMeshMS3D Extends IAnimatedMesh Final

	Function createFromHandle:IAnimatedMeshMS3D(pHandle:Int,bMustDel:Int=True)
		If Not pHandle Then Return Null
		Local oRetVal:IAnimatedMeshMS3D=New IAnimatedMeshMS3D
		oRetVal.attach(pHandle,bMustDel)
		Return oRetVal
	EndFunction
	
	Method getJointCount:Int()
		Return IrrScene_IAnimatedMeshMS3D_getJointCount(handle)
	EndMethod
	
	Method getJointName:String(number:Int)
		Return String.FromCString(IrrScene_IAnimatedMeshMS3D_getJointName(handle,number))
	EndMethod
	
	Method getJointNumber:Int(name:String)
		Return IrrScene_IAnimatedMeshMS3D_getJointNumber(handle,name)
	EndMethod
	
	Method getMatrixOfJoint:Matrix4(jointNumber:Int,frame:Int)
		' do not delete
		Return Matrix4.createFromHandle(IrrScene_IAnimatedMeshMS3D_getMatrixOfJoint(handle,jointNumber,frame),False)
	EndMethod

EndType



