' ------------------------------------------------------------------------------------
'  irr::scene::IQ3Shader wrappers
' ------------------------------------------------------------------------------------

Extern

	Function IrrScene_Quake3_getAsFloat:Float( str$z, pos:Int Ptr )
	' must delete
	Function IrrScene_Quake3_getAsVector3df:Int( str$z, pos:Int Ptr ) ' returns vector3df* 
	
	'  -------------------------------------------------------------
	'  SVariable
	'  -------------------------------------------------------------
	
	Function IrrScene_SVariable_getName$z(pSVariable:Int)
	Function IrrScene_SVariable_setName(pSVariable:Int,name$z)
	Function IrrScene_SVariable_getContent$z(pSVariable:Int)
	Function IrrScene_SVariable_setContent(pSVariable:Int,content$z)
	Function IrrScene_SVariable_clear(pSVariable:Int)
	Function IrrScene_SVariable_isValid:Int(pSVariable:Int)
	Function IrrScene_SVariable_EqEq:Int(pSVariable:Int,pSVariable_other:Int)
		
	'  -------------------------------------------------------------
	'  SVarGroup
	'  -------------------------------------------------------------

	Function IrrScene_SVarGroup_getIndex:Int(pSVarGroup:Int,name$z)
	Function IrrScene_SVarGroup_get$z(pSVarGroup:Int,name$z)
	Function IrrScene_SVarGroup_isDefined:Int(pSVarGroup:Int,name$z,content$z=Null)
	'  do not delete 
	Function IrrScene_SVarGroup_getVariables:Int(pSVarGroup:Int,variables:Int Ptr Ptr)

	'  -------------------------------------------------------------
	'  SVarGroupList extends IUnknown
	'  -------------------------------------------------------------

	Function IrrScene_SVarGroupList_drop:Int(pSVarGroupList:Int)	
	Function IrrScene_SVarGroupList_getDebugName$z(pSVarGroupList:Int)
	Function IrrScene_SVarGroupList_grab(pSVarGroupList:Int)
	'  do not delete 
	Function IrrScene_SVarGroupList_getVariables:Int(pSVarGroupList:Int,vargroups:Int Ptr Ptr)
	
	'  -------------------------------------------------------------
	'  SShader
	'  -------------------------------------------------------------

	Function IrrScene_SShader_EqEq:Int(pSShader:Int,pSShader_other:Int)
	Function IrrScene_SShader_Less:Int(pSShader:Int,pSShader_other:Int)
	Function IrrScene_SShader_getID:Int(pSShader:Int)
	Function IrrScene_SShader_getName$z(pSShader:Int)
	'  do not delete
	Function IrrScene_SShader_getVarGroup:Int(pSShader:Int) ' returns SVarGroupList*
	'  do not delete
	Function IrrScene_SShader_getGroup:Int(pSShader:Int,stage:Int) ' returns SVarGroup*
	
EndExtern