Public

' ------------------------------------------------------------------------------------
'  irr::scene::ITextSceneNode wrappers (parent is ISceneNode)
' ------------------------------------------------------------------------------------
	
Type ITextSceneNode Extends ISceneNodeDefault Final

	Function createFromHandle:ITextSceneNode(pHandle:Int,bMustDel:Int=False,pGenFunc:Byte Ptr=Null)
		If Not pHandle Then Return Null
		Local oRetVal:ITextSceneNode=New ITextSceneNode
		oRetVal.attach(pHandle,bMustDel)
		Return oRetVal
	EndFunction
	
	Method setText(text:String)
		IrrScene_ITextSceneNode_setText(handle,StringToWChar(text))
	EndMethod
	
	Method setTextColor(color:SColor)
		IrrScene_ITextSceneNode_setTextColor(handle,color.handle)
	EndMethod

EndType

