' ------------------------------------------------------------------------------------
'  irr::scene::SParticle wrappers
' ------------------------------------------------------------------------------------
Public

Type SParticle Extends IrrBase Final

	Function createFromHandle:SParticle(pHandle:Int,bMustDel:Int=True)
		If Not pHandle Then Return Null
		Local oRetVal:SParticle=New SParticle
		oRetVal.attach(pHandle,bMustDel)
		Return oRetVal
	EndFunction

	Function create:SParticle()
		Return createFromHandle(IrrScene_SParticle_new())
	EndFunction
	
	Method Delete()
		If (mustdelete) Then IrrScene_SParticle_del(handle)
	EndMethod	
	
	Method color:SColor()
		'  do Not Delete pointer
		Return SColor.createFromHandle(IrrScene_SParticle_color(handle),False)
	EndMethod
	
	Method getEndTime:Int()
		Return IrrScene_SParticle_getEndTime(handle)
	EndMethod
	
	Method setEndTime(time:Int)
		IrrScene_SParticle_setEndTime(handle,time)
	EndMethod
	
	Method pos:Vector3df()
		'  do Not Delete pointer
		Return Vector3df.createFromHandle(IrrScene_SParticle_pos(handle),False)
	EndMethod
	
	Method startColor:SColor()
		'  do Not Delete pointer
		Return SColor.createFromHandle(IrrScene_SParticle_startColor(handle),False)
	EndMethod
	
	Method getStartTime:Int()
		Return IrrScene_SParticle_getStartTime(handle)
	EndMethod
	
	Method setStartTime(time:Int)
		IrrScene_SParticle_setStartTime(handle,time)
	EndMethod
	
	Method startVector:Vector3df()
		'  do Not Delete pointer
		Return Vector3df.createFromHandle(IrrScene_SParticle_startVector(handle),False)
	EndMethod
	
	Method vector:Vector3df()
		'  do Not Delete pointer
		Return Vector3df.createFromHandle(IrrScene_SParticle_vector(handle),False)
	EndMethod

	Method size:Dimension2df()
		Return Dimension2df.createFromHandle(IrrScene_SParticle_size(handle), False)
	EndMethod
	
	Method startSize:Dimension2df()
		Return Dimension2df.createFromHandle(IrrScene_SParticle_startSize(handle), False)
	EndMethod

EndType




