Public

'! An enum For the color format of textures used by the Irrlicht Engine.
'** A color format specifies how color information is stored. The Irrlicht Engine
'mostly uses the format ECF_A1R5G5B5.

' enum ECOLOR_FORMAT
' ! 16 bit color format used by the software driver, And thus preferred
' ! by all other irrlicht engine video drivers. There are 5 bits For every
' ! color component, And a single bit is Left For alpha information.
Const ECF_A1R5G5B5:Int=0

' ! Standard 16 bit color format.
Const ECF_R5G6B5:Int=1

' ! 24 bit color, no alpha channel, but 8 bit For red, green And blue.
Const ECF_R8G8B8:Int=2

' ! Default 32 bit color format. 8 bits are used For every component:
' ! red, green, blue And alpha.
Const ECF_A8R8G8B8:Int=3
