'//! Flag for EMT_ONETEXTURE_BLEND:Int =  ( BlendFactor )
'//! BlendFunc = source * sourceFactor + dest * destFactor
'enum E_BLEND_FACTOR

Const EBF_ZERO:Int = 0 					'// src & dest	(0:Int =  0:Int =  0:Int =  0)
Const EBF_ONE:Int = 1					'// src & dest	(1:Int =  1:Int =  1:Int =  1)
Const EBF_DST_COLOR:Int = 2 			'// src			(destR:Int =  destG:Int =  destB:Int =  destA)
Const EBF_ONE_MINUS_DST_COLOR:Int = 3 	'// src			(1-destR:Int =  1-destG:Int =  1-destB:Int =  1-destA)
Const EBF_SRC_COLOR:Int = 4				'// dest			(srcR:Int =  srcG:Int =  srcB:Int =  srcA)
Const EBF_ONE_MINUS_SRC_COLOR:Int = 5 	'// dest			(1-srcR:Int =  1-srcG:Int =  1-srcB:Int =  1-srcA)
Const EBF_SRC_ALPHA:Int = 6				'// src & dest	(srcA:Int =  srcA:Int =  srcA:Int =  srcA)
Const EBF_ONE_MINUS_SRC_ALPHA:Int = 7	'// src & dest	(1-srcA:Int =  1-srcA:Int =  1-srcA:Int =  1-srcA)
Const EBF_DST_ALPHA:Int = 8				'// src & dest	(destA:Int =  destA:Int =  destA:Int =  destA)
Const EBF_ONE_MINUS_DST_ALPHA:Int = 9	'// src & dest	(1-destA:Int =  1-destA:Int =  1-destA:Int =  1-destA)
Const EBF_SRC_ALPHA_SATURATE:Int = 10	'// src			(min(srcA:Int =  1-destA):Int =  idem:Int =  ...)
