' ------------------------------------------------------------------------------------
' irr::video::IMaterialRendererServices wrappers
' TODO: need to make a bound version
' ------------------------------------------------------------------------------------

Public

Type IMaterialRenderer Extends IReferenceCounted Final

	Function createFromHandle:IMaterialRenderer(pHandle:Int,bMustDel:Int=False)
		If Not pHandle Then Return Null
		Local oRetVal:IMaterialRenderer=New IMaterialRenderer
		oRetVal.attach(pHandle,bMustDel)
		Return oRetVal
	EndFunction

	Method getRenderCapability:Int()
		Return IrrVideo_IMaterialRenderer_getRenderCapability(handle)
	EndMethod

	Method isTransparent:Int()
		Return IrrVideo_IMaterialRenderer_isTransparent(handle)	
	EndMethod

 	Method drop:Int() Final
		If mustdelete Then mustdelete=False		
		Return IrrVideo_IMaterialRenderer_drop(handle)
	EndMethod
	
	Method getDebugName:String() Final
		Return IrrVideo_IMaterialRenderer_getDebugName(handle)
	EndMethod
	
	Method grab() Final
		IrrVideo_IMaterialRenderer_grab(handle)
	EndMethod

	Method Delete()
		If (mustdelete) Then drop()
	EndMethod	
EndType
