Public

Extern

	' ------------------------------------------------------------------------------------
	'  irr::video::SLight wrappers
	' 
	'  WARNING: do Not Release handles obtained via the get() methods
	' ------------------------------------------------------------------------------------
	
	Function IrrVideo_SMaterial_new:Int() ' returns SMaterial* 
	Function IrrVideo_SMaterial_newFromMaterial:Int(pSMaterial:Int) ' returns SMaterial* 
	Function IrrVideo_SMaterial_del(pSMaterial:Int)
	Function IrrVideo_SMaterial_getMaterialType:Int(pSMaterial:Int) ' returns E_MATERIAL_TYPE
	Function IrrVideo_SMaterial_setMaterialType(pSMaterial:Int,E_MATERIAL_TYPE:Int)
	Function IrrVideo_SMaterial_getMaterialTypeParam:Float(pSMaterial:Int) 
	Function IrrVideo_SMaterial_setMaterialTypeParam(pSMaterial:Int,typeparam:Float)
	Function IrrVideo_SMaterial_getMaterialTypeParam2:Float(pSMaterial:Int) 
	Function IrrVideo_SMaterial_setMaterialTypeParam2(pSMaterial:Int,typeparam:Float)
	Function IrrVideo_SMaterial_getAmbientColor:Int(pSMaterial:Int) ' returns SColor* 
	Function IrrVideo_SMaterial_getDiffuseColor:Int(pSMaterial:Int) ' returns SColor* 
	Function IrrVideo_SMaterial_getEmissiveColor:Int(pSMaterial:Int) ' returns SColor* 
	Function IrrVideo_SMaterial_getSpecularColor:Int(pSMaterial:Int) ' returns SColor* 
	Function IrrVideo_SMaterial_getShininess:Float(pSMaterial:Int)
	Function IrrVideo_SMaterial_setShininess(pSMaterial:Int,newshine:Float)
	Function IrrVideo_SMaterial_getThickness:Float(pSMaterial:Int)
	Function IrrVideo_SMaterial_setThickness(pSMaterial:Int,newthick:Float)
	Function IrrVideo_SMaterial_getWireframe:Int(pSMaterial:Int)
	Function IrrVideo_SMaterial_setWireframe(pSMaterial:Int,bWireFrame:Int)
	Function IrrVideo_SMaterial_getPointCloud:Int(pSMaterial:Int)
	Function IrrVideo_SMaterial_setPointCloud(pSMaterial:Int,bPointCloud:Int)
	Function IrrVideo_SMaterial_getGouraudShading:Int(pSMaterial:Int)
	Function IrrVideo_SMaterial_setGouraudShading(pSMaterial:Int,bNewVal:Int)
	Function IrrVideo_SMaterial_getLighting:Int(pSMaterial:Int)
	Function IrrVideo_SMaterial_setLighting(pSMaterial:Int,bNewVal:Int)
	Function IrrVideo_SMaterial_getZBuffer:Byte(pSMaterial:Int)
	Function IrrVideo_SMaterial_setZBuffer(pSMaterial:Int,bNewVal:Byte)
	Function IrrVideo_SMaterial_getZWriteEnable:Int(pSMaterial:Int)
	Function IrrVideo_SMaterial_setZWriteEnable(pSMaterial:Int,bNewVal:Int)
	Function IrrVideo_SMaterial_getBackfaceCulling:Int(pSMaterial:Int)
	Function IrrVideo_SMaterial_setBackfaceCulling(pSMaterial:Int,bNewVal:Int)
	Function IrrVideo_SMaterial_getFogEnable:Int(pSMaterial:Int)
	Function IrrVideo_SMaterial_setFogEnable(pSMaterial:Int,bNewVal:Int)
	Function IrrVideo_SMaterial_getNormalizeNormals:Int(pSMaterial:Int)
	Function IrrVideo_SMaterial_setNormalizeNormals(pSMaterial:Int,bNewVal:Int)
	Function IrrVideo_SMaterial_getFlag:Int(pSMaterial:Int,idx:Int)
	Function IrrVideo_SMaterial_setFlag(pSMaterial:Int,idx:Int,bNewVal:Int)
	Function IrrVideo_SMaterial_getTexture1:Int(pSMaterial:Int) ' returns ITexture*
	Function IrrVideo_SMaterial_setTexture1(pSMaterial:Int,pITexture:Int)
	Function IrrVideo_SMaterial_getTexture2:Int(pSMaterial:Int) ' returns ITexture* 
	Function IrrVideo_SMaterial_setTexture2(pSMaterial:Int,pITexture:Int)
	Function IrrVideo_SMaterial_getTexture3:Int(pSMaterial:Int) ' returns ITexture* 
	Function IrrVideo_SMaterial_setTexture3(pSMaterial:Int,pITexture:Int)
	Function IrrVideo_SMaterial_getTexture4:Int(pSMaterial:Int) ' returns ITexture* 
	Function IrrVideo_SMaterial_setTexture4(pSMaterial:Int,pITexture:Int)
	Function IrrVideo_SMaterial_getTexture:Int(pSMaterial:Int,idx:Int) ' returns ITexture* 
	Function IrrVideo_SMaterial_setTexture(pSMaterial:Int,idx:Int,pITexture:Int)
	Function IrrVideo_SMaterial_SetEq:Int(pSMaterial:Int,pSMaterial_other:Int) ' returns SMaterial*
	Function IrrVideo_SMaterial_NotEq:Int(pSMaterial:Int,pSMaterial_other:Int)
	
	Function IrrVideo_SMaterial_setTextureMatrix(pSMaterial:Int,idx:Int,pMatrix4:Int)
	Function IrrVideo_SMaterial_getTextureMatrix:Int(pSMaterial:Int,idx:Int) ' returns matrix4*
	Function IrrVideo_SMaterial_isTransparent:Int(pSMaterial:Int)
	Function IrrVideo_SMaterial_getFrontfaceCulling:Int(pSMaterial:Int)
	Function IrrVideo_SMaterial_setFrontfaceCulling(pSMaterial:Int,bNewVal:Int)

EndExtern
