Public

' enum EKEY_CODE

Const EKEY_LBUTTON:Int          = $01  ' Left mouse button  
Const EKEY_RBUTTON:Int          = $02  ' Right mouse button  
Const EKEY_CANCEL:Int           = $03  ' Control-break processing  
Const EKEY_MBUTTON:Int          = $04  ' Middle mouse button (three-button mouse)  
Const EKEY_XBUTTON1:Int         = $05  ' Windows 2000/XP: X1 mouse button 
Const EKEY_XBUTTON2:Int         = $06  ' Windows 2000/XP: X2 mouse button 
Const EKEY_BACK:Int             = $08  ' BACKSPACE key  
Const EKEY_TAB:Int              = $09  ' TAB key  
Const EKEY_CLEAR:Int            = $0C  ' CLEAR key  
Const EKEY_RETURN:Int           = $0D  ' ENTER key  
Const EKEY_SHIFT:Int            = $10  ' SHIFT key  
Const EKEY_CONTROL:Int          = $11  ' CTRL key  
Const EKEY_MENU:Int             = $12  ' ALT key  
Const EKEY_PAUSE:Int            = $13  ' PAUSE key  
Const EKEY_CAPITAL:Int          = $14  ' CAPS LOCK key  
Const EKEY_KANA:Int             = $15  ' IME Kana mode 
Const EKEY_HANGUEL:Int          = $15  ' IME Hanguel mode (maintained For compatibility use KEY_HANGUL) 
Const EKEY_HANGUL:Int           = $15  ' IME Hangul mode 
Const EKEY_JUNJA:Int            = $17  ' IME Junja mode 
Const EKEY_FINAL:Int            = $18  ' IME Final mode 
Const EKEY_HANJA:Int            = $19  ' IME Hanja mode 
Const EKEY_KANJI:Int            = $19  ' IME Kanji mode 
Const EKEY_ESCAPE:Int           = $1B  ' ESC key  
Const EKEY_CONVERT:Int          = $1C  ' IME convert 
Const EKEY_NONCONVERT:Int       = $1D  ' IME nonconvert 
Const EKEY_ACCEPT:Int           = $1E  ' IME accept 
Const EKEY_MODECHANGE:Int       = $1F  ' IME mode change request 
Const EKEY_SPACE:Int            = $20  ' SPACEBAR  
Const EKEY_PRIOR:Int            = $21  ' PAGE UP key  
Const EKEY_NEXT:Int             = $22  ' PAGE DOWN key  
Const EKEY_END:Int              = $23  ' End key  
Const EKEY_HOME:Int             = $24  ' HOME key  
Const EKEY_LEFT:Int             = $25  ' Left ARROW key  
Const EKEY_UP:Int               = $26  ' UP ARROW key  
Const EKEY_RIGHT:Int            = $27  ' Right ARROW key  
Const EKEY_DOWN:Int             = $28  ' DOWN ARROW key  
Const EKEY_SELECT:Int           = $29  ' Select key  
Const EKEY_PRINT:Int            = $2A  ' Print key
Const EKEY_EXECUT:Int           = $2B  ' EXECUTE key  
Const EKEY_SNAPSHOT:Int         = $2C  ' Print SCREEN key  
Const EKEY_INSERT:Int           = $2D  ' INS key  
Const EKEY_DELETE:Int           = $2E  ' DEL key  
Const EKEY_HELP:Int             = $2F  ' HELP key  
Const EKEY_KEY_0:Int            = $30  ' 0 key  
Const EKEY_KEY_1:Int            = $31  ' 1 key  
Const EKEY_KEY_2:Int            = $32  ' 2 key  
Const EKEY_KEY_3:Int            = $33  ' 3 key  
Const EKEY_KEY_4:Int            = $34  ' 4 key  
Const EKEY_KEY_5:Int            = $35  ' 5 key  
Const EKEY_KEY_6:Int            = $36  ' 6 key  
Const EKEY_KEY_7:Int            = $37  ' 7 key  
Const EKEY_KEY_8:Int            = $38  ' 8 key  
Const EKEY_KEY_9:Int            = $39  ' 9 key  
Const EKEY_KEY_A:Int            = $41  ' A key  
Const EKEY_KEY_B:Int            = $42  ' B key  
Const EKEY_KEY_C:Int            = $43  ' C key  
Const EKEY_KEY_D:Int            = $44  ' D key  
Const EKEY_KEY_E:Int            = $45  ' E key  
Const EKEY_KEY_F:Int            = $46  ' F key  
Const EKEY_KEY_G:Int            = $47  ' G key  
Const EKEY_KEY_H:Int            = $48  ' H key  
Const EKEY_KEY_I:Int            = $49  ' I key  
Const EKEY_KEY_J:Int            = $4A  ' J key  
Const EKEY_KEY_K:Int            = $4B  ' K key  
Const EKEY_KEY_L:Int            = $4C  ' L key  
Const EKEY_KEY_M:Int            = $4D  ' M key  
Const EKEY_KEY_N:Int            = $4E  ' N key  
Const EKEY_KEY_O:Int            = $4F  ' O key  
Const EKEY_KEY_P:Int            = $50  ' P key  
Const EKEY_KEY_Q:Int            = $51  ' Q key  
Const EKEY_KEY_R:Int            = $52  ' R key  
Const EKEY_KEY_S:Int            = $53  ' S key  
Const EKEY_KEY_T:Int            = $54  ' T key  
Const EKEY_KEY_U:Int            = $55  ' U key  
Const EKEY_KEY_V:Int            = $56  ' V key  
Const EKEY_KEY_W:Int            = $57  ' W key  
Const EKEY_KEY_X:Int            = $58  ' X key  
Const EKEY_KEY_Y:Int            = $59  ' Y key  
Const EKEY_KEY_Z:Int            = $5A  ' Z key  
Const EKEY_LWIN:Int             = $5B  ' Left Windows key (Microsoftr Naturalr keyboard)  
Const EKEY_RWIN:Int             = $5C  ' Right Windows key (Natural keyboard)  
Const EKEY_APPS:Int             = $5D  'Applications key (Natural keyboard)  
Const EKEY_SLEEP:Int            = $5F  ' Computer Sleep key 
Const EKEY_NUMPAD0:Int          = $60  ' Numeric keypad 0 key  
Const EKEY_NUMPAD1:Int          = $61  ' Numeric keypad 1 key  
Const EKEY_NUMPAD2:Int          = $62  ' Numeric keypad 2 key  
Const EKEY_NUMPAD3:Int          = $63  ' Numeric keypad 3 key  
Const EKEY_NUMPAD4:Int          = $64  ' Numeric keypad 4 key  
Const EKEY_NUMPAD5:Int          = $65  ' Numeric keypad 5 key  
Const EKEY_NUMPAD6:Int          = $66  ' Numeric keypad 6 key  
Const EKEY_NUMPAD7:Int          = $67  ' Numeric keypad 7 key  
Const EKEY_NUMPAD8:Int          = $68  ' Numeric keypad 8 key  
Const EKEY_NUMPAD9:Int          = $69  ' Numeric keypad 9 key  
Const EKEY_MULTIPLY:Int         = $6A  ' Multiply key  
Const EKEY_ADD:Int              = $6B  ' Add key  
Const EKEY_SEPARATOR:Int        = $6C  ' Separator key  
Const EKEY_SUBTRACT:Int         = $6D  ' Subtract key  
Const EKEY_DECIMAL:Int          = $6E  ' Decimal key  
Const EKEY_DIVIDE:Int           = $6F  ' Divide key  
Const EKEY_F1:Int               = $70  ' F1 key  
Const EKEY_F2:Int               = $71  ' F2 key  
Const EKEY_F3:Int               = $72  ' F3 key  
Const EKEY_F4:Int               = $73  ' F4 key  
Const EKEY_F5:Int               = $74  ' F5 key  
Const EKEY_F6:Int               = $75  ' F6 key  
Const EKEY_F7:Int               = $76  ' F7 key  
Const EKEY_F8:Int               = $77  ' F8 key  
Const EKEY_F9:Int               = $78  ' F9 key  
Const EKEY_F10:Int              = $79  ' F10 key  
Const EKEY_F11:Int              = $7A  ' F11 key  
Const EKEY_F12:Int              = $7B  ' F12 key  
Const EKEY_F13:Int              = $7C  ' F13 key  
Const EKEY_F14:Int              = $7D  ' F14 key  
Const EKEY_F15:Int              = $7E  ' F15 key  
Const EKEY_F16:Int              = $7F  ' F16 key  
Const EKEY_F17:Int              = $80  ' F17 key  
Const EKEY_F18:Int              = $81  ' F18 key  
Const EKEY_F19:Int              = $82  ' F19 key  
Const EKEY_F20:Int              = $83  ' F20 key  
Const EKEY_F21:Int              = $84  ' F21 key  
Const EKEY_F22:Int              = $85  ' F22 key  
Const EKEY_F23:Int              = $86  ' F23 key  
Const EKEY_F24:Int              = $87  ' F24 key  
Const EKEY_NUMLOCK:Int          = $90  ' NUM LOCK key  
Const EKEY_SCROLL:Int           = $91  ' SCROLL LOCK key  
Const EKEY_LSHIFT:Int           = $A0  ' Left SHIFT key 
Const EKEY_RSHIFT:Int           = $A1  ' Right SHIFT key 
Const EKEY_LCONTROL:Int         = $A2  ' Left CONTROL key 
Const EKEY_RCONTROL:Int         = $A3  ' Right CONTROL key 
Const EKEY_LMENU:Int            = $A4  ' Left MENU key 
Const EKEY_RMENU:Int            = $A5  ' Right MENU key 
Const EKEY_COMMA:Int            = $BC  ' Comma Key  (,)
Const EKEY_PLUS:Int             = $BB  ' Plus Key   (+)
Const EKEY_MINUS:Int            = $BD  ' Minus Key  (-)
Const EKEY_PERIOD:Int           = $BE  ' Period Key (.)
Const EKEY_ATTN:Int             = $F6  ' Attn key 
Const EKEY_CRSEL:Int            = $F7  ' CrSel key 
Const EKEY_EXSEL:Int            = $F8  ' ExSel key 
Const EKEY_EREOF:Int            = $F9  ' Erase Eof key 
Const EKEY_PLAY:Int             = $FA  ' Play key 
Const EKEY_ZOOM:Int             = $FB  ' Zoom key 
Const EKEY_PA1:Int              = $FD  ' PA1 key 
Const EKEY_OEM_CLEAR:Int        = $FE  ' Clear key 

Const EKEY_KEY_CODES_COUNT:Int  = $FF  ' this is Not a key, but the amount of keycodes there are.
