' ------------------------------------------------------------------------------------
'  irr::scene::IDynamicMeshBuffer wrappers (parent is IMeshBuffer)
' ------------------------------------------------------------------------------------

Public

Type IDynamicMeshBuffer Extends IMeshBuffer
	
	Function createFromHandle:IDynamicMeshBuffer(pHandle:Int,bMustDel:Int=False)
		If Not pHandle Then Return Null
		Local oRetVal:IDynamicMeshBuffer=New IDynamicMeshBuffer
		oRetVal.attach(pHandle,bMustDel)
		Return oRetVal
	EndFunction

	Method getVertexBuffer:IVertexBuffer()
		Return IVertexBuffer.createFromHandle(IrrScene_IDynamicMeshBuffer_getVertexBuffer(handle), False)
	EndMethod
	
	Method getIndexBuffer:IIndexBuffer()
		Return IIndexBuffer.createFromHandle(IrrScene_IDynamicMeshBuffer_getIndexBuffer(handle), False)
	EndMethod
	
	Method setVertexBuffer(vertexBuffer:IVertexBuffer)
		IrrScene_IDynamicMeshBuffer_setVertexBuffer(handle, vertexBuffer.handle)
	EndMethod
	
	Method setIndexBuffer(indexBuffer:IIndexBuffer)
		IrrScene_IDynamicMeshBuffer_setIndexBuffer(handle, indexBuffer.handle)
	EndMethod

EndType