' ------------------------------------------------------------------------------------
' irr::scene::IParticleFadeOutAffector wrappers
' ------------------------------------------------------------------------------------
Public

Type IParticleFadeOutAffector Extends IParticleAffectorDefault

	Function createFromHandle:IParticleFadeOutAffector(pHandle:Int,bMustDel:Int=True,pGenFunc:Byte Ptr=Null)
		If Not pHandle Then Return Null
		Local oRetVal:IParticleFadeOutAffector=New IParticleFadeOutAffector
		oRetVal.attach(pHandle,bMustDel)
		Return oRetVal
	EndFunction

	Method setTargetColor(targetColor:SColor)
		IrrScene_IParticleFadeOutAffector_setTargetColor( handle, targetColor.handle )
	EndMethod
	
	Method setFadeOutTime(fadeOutTime:Float)
		IrrScene_IParticleFadeOutAffector_setFadeOutTime( handle, fadeOutTime )
	EndMethod
	
	Method getTargetColor:SColor()
		Return SColor.createFromHandle(IrrScene_IParticleFadeOutAffector_getTargetColor(handle), True)
	EndMethod
	
	Method getFadeOutTime:Float()
		Return IrrScene_IParticleFadeOutAffector_getFadeOutTime(handle)
	EndMethod

EndType
