Public

Type IVolumeLightSceneNode Extends ISceneNodeDefault Final

	Function createFromHandle:IVolumeLightSceneNode(pHandle:Int, bMustDel:Int=False, pGenFunc:Byte Ptr=Null)
		If Not pHandle Then Return Null
		Local oRetVal:IVolumeLightSceneNode = New IVolumeLightSceneNode
		oRetVal.attach(pHandle,bMustDel)
		Return oRetVal
	EndFunction

	Method setSubDivideU(inU:Int)
		IrrScene_IVolumeLightSceneNode_setSubDivideU(handle, inU)
	EndMethod
	
	Method setSubDividev(inV:Int)
		IrrScene_IVolumeLightSceneNode_setSubDivideV(handle, inV)
	EndMethod

	Method getSubDivideU:Int()
		Return  IrrScene_IVolumeLightSceneNode_getSubDivideU(handle)
	EndMethod
	
	Method getSubDivideV:Int()
		Return  IrrScene_IVolumeLightSceneNode_getSubDivideV(handle)
	EndMethod
	
	Method setFootColour(inColour:SColor)
		IrrScene_IVolumeLightSceneNode_setFootColour(handle, inColour.handle)
	EndMethod
	
	Method setTailColour(inColour:SColor)
		IrrScene_IVolumeLightSceneNode_setTailColour(handle, inColour.handle)
	EndMethod

	Method getFootColour:SColor()
		Return SColor.createFromHandle(IrrScene_IVolumeLightSceneNode_getFootColour(handle), True)
	EndMethod
	
	Method getTailColour:SColor()
		Return SColor.createFromHandle(IrrScene_IVolumeLightSceneNode_getTailColour(handle), True)
	EndMethod

EndType


