extern "C" {

	void IrrScene_IVolumeLightSceneNode_setSubDivideU(IVolumeLightSceneNode* sn, const u32 inU)
	{
		if (sn)
			sn->setSubDivideU(inU);
	}

	void IrrScene_IVolumeLightSceneNode_setSubDivideV(IVolumeLightSceneNode* sn, const u32 inV)
	{
		if (sn)
			sn->setSubDivideV(inV);
	}

	u32 IrrScene_IVolumeLightSceneNode_getSubDivideU(IVolumeLightSceneNode* sn)
	{
		if (sn)
			return sn->getSubDivideU();
		else return 0;
	}
	
	u32 IrrScene_IVolumeLightSceneNode_getSubDivideV(IVolumeLightSceneNode* sn)
	{
		if (sn)
			sn->getSubDivideV();
		else return 0;
	}

	void IrrScene_IVolumeLightSceneNode_setFootColour(IVolumeLightSceneNode* sn, const SColor* inColour)
	{
		if (sn)
			sn->setFootColour(*inColour);
	}
	
	void IrrScene_IVolumeLightSceneNode_setTailColour(IVolumeLightSceneNode* sn, const SColor* inColour)
	{
		if (sn)
			sn->setTailColour(*inColour);
	}

	// must delete
	SColor* IrrScene_IVolumeLightSceneNode_getFootColour(IVolumeLightSceneNode* sn)
	{
		if (sn)
			return new SColor(sn->getFootColour());
		else return 0;
	}
	
	// must delete
	SColor* IrrScene_IVolumeLightSceneNode_getTailColour(IVolumeLightSceneNode* sn)
	{
		if (sn)
			return new SColor(sn->getTailColour());
		else return 0;
	}

}


