' ------------------------------------------------------------------------------------
' irr::video::ITexture wrappers
'
' you cannot create ITextures directly.  you must use IVideoDriver::addTexture() Or
' IVideoDriver::getTexture().  you do Not Delete these references, you remove them with
' IVideoDriver::removeTexture().
' ------------------------------------------------------------------------------------
Public

Extern 

	Function IrrVideo_ITexture_del(pITexture:Int)
	Function IrrVideo_ITexture_lock:Byte Ptr(pITexture_texture:Int, bReadOnly:Int = False) ' void* that needs to be cast if not a char ptr
	Function IrrVideo_ITexture_unlock(pITexture:Int)
	Function IrrVideo_ITexture_getOriginalSize:Int(pITexture:Int)  ' returns dimension2d<s32>* 
	Function IrrVideo_ITexture_getSize:Int(pITexture:Int)  ' returns dimension2d<s32>* 
	Function IrrVideo_ITexture_getDriverType:Int(pITexture:Int)  ' returns E_DRIVER_TYPE
	Function IrrVideo_ITexture_getColorFormat:Int(pITexture:Int)  ' returns ECOLOR_FORMAT
	Function IrrVideo_ITexture_getPitch:Int(pITexture:Int)
	Function IrrVideo_ITexture_regenerateMipMapLevels(pITexture:Int)
	Function IrrVideo_ITexture_hasMipMaps:Int(pITexture:Int)
	Function IrrVideo_ITexture_isRenderTarget:Int(pITexture:Int)
	Function IrrVideo_ITexture_getName$z(pITexture:Int)
	
	Function IrrVideo_ITexture_drop:Int(pIUnknown:Int)
	Function IrrVideo_ITexture_getDebugName$z(pIUnknown:Int)
	Function IrrVideo_ITexture_grab(pIUnknown:Int)
	
EndExtern



